package com.yc.ship.module.resource.enums.guide;


import com.yc.ship.framework.common.core.IntArrayValuable;

import java.util.Arrays;

public enum GuideUseNeedStatusEnum implements IntArrayValuable {
    DELETED_0(0, "未删除"),
    DELETED_1(1, "已删除"),

    STATUS_2(2, "已排班"),
    STATUS_1(1, "已提交"),
    STATUS_0(0, "草稿");


    public static final int[] ARRAYS = Arrays.stream(values()).mapToInt(GuideUseNeedStatusEnum::getStatus).toArray();
    private final Integer status;
    private final String name;

    @Override
    public int[] array() {
        return ARRAYS;
    }


    public Integer getStatus() {
        return this.status;
    }

    public String getName() {
        return this.name;
    }

    private GuideUseNeedStatusEnum(Integer status, String name) {
        this.status = status;
        this.name = name;
    }
}
